dofile(LockOn_Options.script_path.."HUD\\HUD_definitions.lua")

rockets_piper = add_piper("rockets_piper", {{"current_sight"}})

--[[
test_DS            = create_HUD_element("ceTexPoly")
test_DS.name       = "test_DS"
test_DS.vertices   = {{-0.007, -0.076}, {-0.007, 0.076}, {0.076, 0.076}, {0.076, -0.076}}
test_DS.indices    = default_box_indices
test_DS.init_pos   = {0.4, 0.7 + vertical_displacement, 0}
test_DS.material   = "INDICATION_HUD_KA50"
test_DS.tex_params = {0.81368, 0.12209, tex_scale, tex_scale}
test_DS.h_clip_relation = h_clip_relations.COMPARE
test_DS.level		= HUD_DEFAULT_LEVEL
test_DS.isdraw		= true
Add(test_DS)

test_DS_region			= create_region(test_DS, "test_DS_region")
test_DS_region.isdraw	= true
Add(test_DS_region)
--]]

add_piper_distance_sector("rockets_distance_sector", "rockets_piper")
--[[
add_piper_range_tick("rockets_min_range_tick", "rockets_piper", -36.0)
add_piper_range_tick("rockets_max_range_tick", "rockets_piper", -144.0)
--]]
add_piper_DLZ_tick  ("rockets_min_range_tick", "rockets_piper", 0,10000)
add_piper_DLZ_tick  ("rockets_max_range_tick", "rockets_piper", 2,10000)